<?php
// $Id: risk_event_class.tpl.php,v 1.1 2009/03/25 10:12:50 danielmay Exp $

/**
 * @file
 *
 * Template file for the "risk event class" content type.
 *
 * Available variables:
 * - $mean: cleaned plain text float of the mean number of events per day.
 * - $profit: cleaned plain text float of the profit associated with a single instance of the event class.
 * - $period: cleaned plain text int describing the period in days.
 * - $prob_zero_events_in_period: clean plain text float of probability of zero event instances in the period.
 * - $prob_one_plus_events_in_period: clean plain text float of probability of one or more event instances in the period.
 * - $profit_in_period: clean plain text float of expected profit in period.
 *
 * @ingroup risk
 */

$period_with_units = format_plural($period, '1 day', '@count days');

$mean_head_cell = array('data' => t('Mean number of events per day'), 'header' => TRUE);
$mean_cell = array('data' => $mean);

$profit_head_cell = array('data' => t('Profit per event instance (losses are negative)'), 'header' => TRUE);
$profit_cell = array('data' => $profit, 'class' => _risk_get_profit_loss_or_breakeven($profit));

$prob_0_head_cell = array('data' => t("Probability of 0 event instances in $period_with_units"), 'header' => TRUE);
$prob_0_cell = array('data' => $prob_zero_events_in_period);

$prob_1_or_more_head_cell = array('data' => t("Probability of 1 or more event instances in next $period_with_units"), 'header' => TRUE);
$prob_1_or_more_cell = array('data' => $prob_one_plus_events_in_period);

$expected_profit_head_cell = array('data' => t("Expected profit in $period_with_units"), 'header' => TRUE);
$expected_profit_cell = array('data' => $profit_in_period, 'class' => _risk_get_profit_loss_or_breakeven($profit_in_period));

$rows = array(
  array($mean_head_cell, $mean_cell),
  array($profit_head_cell, $profit_cell),
  array($prob_0_head_cell, $prob_0_cell),
  array($prob_1_or_more_head_cell, $prob_1_or_more_cell),
  array($expected_profit_head_cell, $expected_profit_cell),
  );

print theme_table(NULL, $rows, NULL, t('Summary statistics'));

?>

<h3><?php print t('Description'); ?></h3>